Genomic Elements
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genomic-elementsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genomic-elements"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genomic-elements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"chr": "<string>",
"start": 123,
"end": 123,
"name": "<string>",
"source_annotation": "<string>",
"type": "<string>",
"source": "<string>",
"source_url": "<string>",
"strand": "<string>",
"method": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Genomic Elements
Retrieve genomic elements.
Example: region = chr1:1157520-1158189,
source_annotation = dELS: distal Enhancer-like signal,
type = candidate cis regulatory element,
files_fileset = IGVFFI5749WPVK,
source = ENCODE.
The limit parameter controls the page size and can not exceed 1000.
Pagination is 0-based.
Genomic Elements
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/genomic-elementsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/genomic-elements"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/genomic-elements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"chr": "<string>",
"start": 123,
"end": 123,
"name": "<string>",
"source_annotation": "<string>",
"type": "<string>",
"source": "<string>",
"source_url": "<string>",
"strand": "<string>",
"method": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
CA-CTCF: chromatin accessible + CTCF binding, CA-H3K4me3: chromatin accessible + H3K4me3 high signal, CA-TF: chromatin accessible + TF binding, CA: chromatin accessible, PLS: Promoter-like signal, TF: TF binding, dELS: distal Enhancer-like signal, enhancer, genic, intergenic, negative control, pELS: proximal Enhancer-like signal, promoter Available options:
accessible dna elements, candidate cis regulatory element, tested elements Available options:
CRISPR screen, ENCODE-rE2G, MPRA, Perturb-seq, caQTL, candidate Cis-Regulatory Elements, integrative, scE2G Available options:
AFGR, ENCODE, FUNCODE, IGVF Available options:
Mus musculus, Homo sapiens